brlapi_misc(3)

NAME
brlapi_misc - Miscellaneous functions

SYNOPSIS

  Functions
int BRLAPI_STDCALL brlapi_pause (int timeout_ms)
int BRLAPI_STDCALL brlapi__pause (brlapi_handle_t *handle, int timeout_ms)
int BRLAPI_STDCALL brlapi_sync (void)
int BRLAPI_STDCALL brlapi__sync (brlapi_handle_t *handle)

Detailed Description

Function Documentation

  int BRLAPI_STDCALL brlapi__pause (brlapi_handle_t * handle, int timeout_ms)

References BRLAPI_STDCALL.

  int BRLAPI_STDCALL brlapi__sync (brlapi_handle_t * handle)

References BRLAPI_STDCALL.

  int BRLAPI_STDCALL brlapi_pause (int timeout_ms)
Waits until an event is received from the BrlAPI server

Parameters
    timeout_ms specifies an optional timeout which can be zero for polling, or -1 for infinite wait

Returns
    0 on timeout, -1 on error, or on interruption by a signal or a parameter change notification, in which case brlapi_errno will be BRLAPI_ERROR_LIBCERR and errno will be EINTR.

References BRLAPI_STDCALL.

  int BRLAPI_STDCALL brlapi_sync (void )
Synchronize against any pending exception, and returns it. This allows to synchronously catch exception raised by brlapi_write calls. This works by temporarily replacing the current exception handler by its own handler.

Returns
    0 if no exception was pending, -1 if an exception was caught.

References BRLAPI_STDCALL.

Author

Generated automatically by Doxygen for BrlAPI from the source code.